libzypp 17.37.10

zypp::target::rpm::internal Namespace Reference

## Functions
const Pathname & | rpmDefaultDbPath ()
Pathname | suggestedDbPath (const Pathname &root_r)
Pathname | sanitizedDbPath (const Pathname &root_r, const Pathname &dbPath_r)
bool | dbExists (const Pathname &root_r, const Pathname &dbPath_r)

## Function Documentation

## ◆ rpmDefaultDbPath()

const Pathname & zypp::target::rpm::internal::rpmDefaultDbPath | ( |  | ) |
| inline

Definition at line 39 of file librpmDb.cc.

## ◆ suggestedDbPath()

Pathname zypp::target::rpm::internal::suggestedDbPath | ( | const Pathname & | root_r | ) |
| inline

no symlink

Definition at line 52 of file librpmDb.cc.

## ◆ sanitizedDbPath()

Pathname zypp::target::rpm::internal::sanitizedDbPath | ( | const Pathname & | root_r,
|  | const Pathname & | dbPath_r )
| inline

Definition at line 68 of file librpmDb.cc.

## ◆ dbExists()

bool zypp::target::rpm::internal::dbExists | ( | const Pathname & | root_r,
|  | const Pathname & | dbPath_r )
| inline

Definition at line 71 of file librpmDb.cc.